[code-quality] FreeBSD installation of pylint3

Jeff Quast contact at jeffquast.com
Mon Oct 12 22:04:37 CEST 2015


The version of pip used matches the version of python it installs for.

Use “pip3” or “pip3.5” or whatever is more suitable instead of “pip”.

> On Oct 12, 2015, at 12:08 PM, Paul Hargreaves <paul.hargreaves at technowizardry.co.uk> wrote:
> 
> I’ve followed the install instructions here:
> http://pylint.org/#support
> 
> (Installed portmaster, it’s not included by default).
> portmaster devel/pylint
> 
> After it builds:
> 
> $ pylint --version
> No config file found, using default configuration
> pylint 1.3.1, 
> astroid 1.2.1, common 0.62.1
> Python 2.7.10 (default, Aug  9 2015, 01:20:33) 
> [GCC 4.2.1 Compatible FreeBSD Clang 3.4.1 (tags/RELEASE_34/dot1-final 208032)]
> $ uname -a
> FreeBSD z 10.2-RELEASE FreeBSD 10.2-RELEASE #0 r286666: Wed Aug 12 15:26:37 UTC 2015     root at releng1.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64
> $ python3 --version
> Python 3.4.3
> $ pylint3
> pylint3: not found
> $ 
> 
> Any attempts to verify a python 3 file fail with things like:
> C:  6, 0: Unnecessary parens after 'print' keyword (superfluous-parens)
> 
> 
> Are there different instructions to installing for python3?
> 
> Thanks.
> _______________________________________________
> code-quality mailing list
> code-quality at python.org
> https://mail.python.org/mailman/listinfo/code-quality



More information about the code-quality mailing list